commit:     19d59b1465011408f926e8bd9023264a3bded37b
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 31 14:37:16 2022 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Jan 31 14:38:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19d59b14

dev-vcs/stgit: version bump 1.5

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-vcs/stgit/Manifest         |  1 +
 dev-vcs/stgit/stgit-1.5.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-vcs/stgit/Manifest b/dev-vcs/stgit/Manifest
index d8400adb8166..97be0a4a0d6c 100644
--- a/dev-vcs/stgit/Manifest
+++ b/dev-vcs/stgit/Manifest
@@ -1 +1,2 @@
 DIST stgit-1.4.tar.gz 390734 BLAKE2B 
a2c8b6848cacd743022318ebf9a0512c6bd02a2b8c864db2270e5075c82dfd9e6037a3a79978b2061487bf040864077b0f7836c66986d82ff3eb902331589d87
 SHA512 
5251dc26a7c64dcc83021399f95ea911d6b65cfb2ee5c016c886447740ed48b66d3f0bd92a45b4aed40ae2e77dfe6ba62336dbba6773a1879ab749c95bb99b4b
+DIST stgit-1.5.tar.gz 398562 BLAKE2B 
922e014dcd0976a6b9ac884faa5ac6d8cb0e9efe6c56201c85675afb041e0190d07fb3cbcd366664b736d428d93188fc92c19db9a8d1fdc322054e1480b5b8f8
 SHA512 
6f018754f43c3ba48ce381b59f0e4033c295f0bd0acee4d07c1457f2c004caee9d8e9f6b2af1ee0d46941777639c7f5a49caa4c0dd01a72c3f3a43a34bf9b2bf

diff --git a/dev-vcs/stgit/stgit-1.5.ebuild b/dev-vcs/stgit/stgit-1.5.ebuild
new file mode 100644
index 000000000000..23c4d6bccb08
--- /dev/null
+++ b/dev-vcs/stgit/stgit-1.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Manage a stack of patches using GIT as a backend"
+HOMEPAGE="https://stacked-git.github.io";
+UPSTREAM_VER=
+[[ -n ${UPSTREAM_VER} ]] && \
+       
UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P}-upstream-patches-${UPSTREAM_VER}.tar.xz";
+
+SRC_URI="https://github.com/ctmarinas/stgit/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       ${UPSTREAM_PATCHSET_URI}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+RDEPEND=">=dev-vcs/git-1.6.3.3"
+
+# NOTE: It seems to be quite important which asciidoc version to use.
+# So keep an eye on it for the future.
+DEPEND="${RDEPEND}
+       doc? (
+               app-text/asciidoc
+               app-text/xmlto
+               dev-lang/perl
+       )"
+
+pkg_setup() {
+       if ! use doc; then
+               echo
+               ewarn "Manpages will not be built and installed."
+               ewarn "Enable the 'doc' useflag, if you want them."
+               echo
+       fi
+}
+
+python_prepare_all() {
+       # Upstream's patchset
+       [[ -n ${UPSTREAM_VER} ]] && \
+               eapply "${WORKDIR}"/patches-upstream
+
+       # this will be a noop, as we are working with a tarball,
+       # but throws git errors --> just get rid of it
+       echo "version=\"${PV}\"" > "${S}"/stgit/builtin_version.py
+
+       distutils-r1_python_prepare_all
+}
+
+src_compile() {
+       distutils-r1_src_compile
+
+       # bug 526468
+       if use doc; then
+               emake htmldir="${EPREFIX}/usr/share/doc/${PF}/html/" \
+                       mandir="${EPREFIX}/usr/share/man/" \
+                       doc
+       fi
+}
+
+src_install() {
+       if use doc; then
+               emake DESTDIR="${D}" \
+                       htmldir="${EPREFIX}/usr/share/doc/${PF}/html/" \
+                       mandir="${EPREFIX}/usr/share/man/" \
+                       install-doc install-html
+       fi
+
+       distutils-r1_src_install
+
+       newbashcomp completion/stgit.bash 'stg'
+}

Reply via email to